{{!-- {{log "item-browser.hbs" this}} --}}
<div class="item-browser-sheet">

    <fieldset class="search-filters-box">
        <div class="filter-titles flexrow">
            <div class="filter-item-type">Type</div>
            <div class="filter-source">Source</div>
            <div class="filter-name">Name</div>
            {{!-- <div>Description</div> --}}
            <div class="filter-search"></div>
        </div>

        <div class="filter-fields">
            <div class="flexrow">
                <div class="filter-item-type">
                    <select class="filter-item-type" name="item-type">
                        {{#select 'item-type'}}
                            <option value="{{filters.type}}">{{localize filters.type}}</option>
                            {{#each game.system.documentTypes.Item}}
                                <option value="{{this}}">{{localize this}}</option>
                            {{/each}}
                        {{/select}}
                    </select>            
                </div>
                <div class="filter-source">
                    <select class="filter-source" name="filter-source">
                        {{#select 'filter-source'}}
                            <option value="{{filters.source}}">{{localize filters.source}}</option>
                            {{#each sourceList}}
                                <option value="{{this}}">{{localize this}}</option>
                            {{/each}}
                        {{/select}}
                    </select>            
                </div>
                <div class="filter-name"><input name="filter-name" type="text" value="{{filters.general.name}}" placeholder="Search name"/></div>
                {{!-- <div><input name="filter-description" type="text" value="{{filters.general.descriptiopn}}" placeholder="Search description"/></div> --}}
                <div class="filter-search"><i class='fas fa-search'></i></div>
            </div>
                {{#each (lookup filters filters.type) as |search field|}}
                {{!-- {{log "item-browser.hbs search" search}}
                {{log "item-browser.hbs field" field}} --}}
                <div class="flexrow">
                        <div class="field-item-fieldname">{{field}}</div>
                        <div class="filter-field-{{removedots field}}">
                            <input name="filter-field-{{removedots field}}" type="text" value="{{search.value}}" placeholder="Search {{field}}"/>
                        </div>
                </div>
                {{/each}}

        </div>
    </fieldset>


    {{!-- <fieldset style="padding: 5px; overflow:scroll; height:600px;" class="item-list"> --}}
    <fieldset style="height:95%;width:99%;padding: 5px;" class="item-list">
        <div class="item">
            <div class="flexrow">
                <div class="item-image"></div>
                <div class="filter-name">NAME</div>
                {{#each (lookup @root.filters @root.filters.type) as |search field|}}
                    <div class="item-filter-header item-filter-header-{{removedots field}}" data-tooltip="{{ field }}">
                        <div>{{localize (concat "ARS.itembrowser." field) }}</div>
                    </div>
                {{/each}}
                {{#includes @root.filters.type 'skill||spell'}}
                {{else}}
                    <div class="item-wt">WEIGHT</div>
                {{/includes}}
                {{#ifnoteq @root.filters.type 'skill'}}
                    <div class="item-cost">COST</div>
                {{/ifnoteq}}
                <div class="item-list-controls"></div>
            </div>
        </div>

        {{#each items as |item idx|}}
        {{!-- {{log "item-browser.hbs" (getproperty item.system 'attributes.magic')}} --}}
        <li class="item item-entries flexrow" data-id="{{item.id}}" data-pack="{{item.pack}}">
            
            <div class="item-image"><img src="{{item.img}}" data-tooltip="{{item.name}}" /></div>
            
            <div class="filter-name item-edit rollable" data-tooltip="Source, {{#if item.pack}}Compendium: {{item.pack}}{{else}}World{{/if}}">{{item.name}}</div>

            {{#each (lookup @root.filters @root.filters.type) as |search field|}}
                <div class="item-filter-value item-filter-{{removedots field}}">
                    <div>{{getproperty item.system field}}</div>
                </div>
            {{/each}}

            {{#includes item.type 'skill||spell'}}
            {{else}}
                <div class="item-wt" data-tooltip="{{localize "ARS.weight"}}">
                    {{item.system.weight}}
                </div>
            {{/includes}}

            {{#if (eq @root.filters.type 'skill')}}
            {{else}}
            <div class="item-cost" data-tooltip="{{localize "ARS.cost"}}">
                {{item.retail}} {{item.system.cost.currency}} 
            </div>
            {{/if}}
            <div class="item-list-controls flexrow">
                <a class="item-edit" data-tooltip="Examine item"><i class="fas fa-edit"></i></a>
                <a class="item-take" data-tooltip="Take item"><i class='fas fa-hand-paper'></i></a>
                <a class="item-buy" data-tooltip="Buy item"><i class='fas fa-hand-holding-usd'></i></a>
            </div>
        </li>
        {{/each}}
    </fieldset>

</div>